lua2dox: lua2dox.lua File Reference

lua2dox 0.2 20130128

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Functions
lua2dox.lua File Reference

a hack lua2dox converter More...

Go to the source code of this file.

## Classes
class | TCore_Clock
| a clock More...
class | TCore_IO
| io to console More...
class | TCore_Commandline
| reads/parses commandline More...
class | TStream_Read
| file buffer More...
class | TStream_Write
| output stream More...
class | TLua2DoX_filter
| input filter More...
class | TApp
| this application More...

## Functions
function | class (BaseClass, ClassInitialiser)
| ``declare'' as class
function | TCore_IO_write (Str)
| write to stdout
function | TCore_IO_writeln (Str)
| write to stdout
function | string_trim (Str)
| trims a string
function | string_split (Str, Pattern)
| split a string
static function | TString_removeCommentFromLine (Line)
| trim comment off end of string
static function | getMagicDirective (Line)
| get directive from magic
static function | checkComment4fn (Fn_magic, MagicLines)
| check comment for fn

## Detailed Description

a hack lua2dox converter

Definition in file lua2dox.lua.

## Function Documentation

static function checkComment4fn | ( | Fn_magic | ,
|  | MagicLines |
| ) |  |
| static

check comment for fn

....\ macro...stuff ....@ macro...stuff

Definition at line 443 of file lua2dox.lua.

function class | ( | BaseClass | ,
|  | ClassInitialiser |
| ) |  |

``declare'' as class

use as:

TWibble = class()
function TWibble.init(this,Str)
this.str = Str
-- more stuff here
end

Definition at line 118 of file lua2dox.lua.

static function getMagicDirective | ( | Line |  | ) |
| static

get directive from magic

Definition at line 422 of file lua2dox.lua.

function string_split | ( | Str | ,
|  | Pattern |
| ) |  |

split a string

Parameters

  Str |
  Pattern |

Returns
  table of string fragments

Definition at line 240 of file lua2dox.lua.

function string_trim | ( | Str |  | ) |

trims a string

Definition at line 231 of file lua2dox.lua.

function TCore_IO_write | ( | Str |  | ) |

write to stdout

Definition at line 213 of file lua2dox.lua.

function TCore_IO_writeln | ( | Str |  | ) |

write to stdout

Definition at line 220 of file lua2dox.lua.

static function TString_removeCommentFromLine | ( | Line |  | ) |
| static

trim comment off end of string

If the string has a comment on the end, this trims it off.

Definition at line 411 of file lua2dox.lua.